000035721 - Error message "Failed to run deployment upgrade cookbook" when attempting to initialize the RSA NetWitness Logs & Packets 11.0.0.1 upgrade

Document created by RSA Customer Support Employee on Nov 16, 2017Last modified by RSA Customer Support Employee on Nov 16, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000035721
Applies ToRSA Product Set: NetWitness Logs & Packets
RSA Product/Service Type: NetWitness Server
RSA Version/Condition: 11.0.0.1
Platform: CentOS
O/S Version: EL7
IssueAfter performing the steps in the Procedure section on page 9 of the RSA NetWitness Logs & Packets 11.0.0.1 Release Notes the command gives an error and fails to initialize the upgrade.
Sample error messages:

# upgrade-cli-client -v --init --version 11.0.0.1 --stage-dir /tmp/upgrade
[2017-11-03T18:12:37+00:00] <18950> (INFO) Initializing upgrade version: 11.0.0.1
16698897-8235-4c22-8ed6-7514d3242113:
    ----------
    pid:
        18983
    retcode:
        1
    stderr:
        Failed to run deployment upgrade cookbook
    stdout:
        *** Installing deployment upgrade package
        Loaded plugins: fastestmirror
        Examining /tmp/upgrade/11.0.0.1/rsa-nw-deployment-upgrade-11.0.0.1-1710231932.1.38b56c8.el7.noarch.rpm: rsa-nw-deployment-upgrade-11.0.0.1-1710231932.1.38b56c8.el7.noarch
        /tmp/upgrade/11.0.0.1/rsa-nw-deployment-upgrade-11.0.0.1-1710231932.1.38b56c8.el7.noarch.rpm: does not update installed package.
        No packages marked for update
        *** Running deployment upgrade cookbooks
        Starting Chef Client, version 12.20.3
        Starting Chef Client, version 12.20.3
        resolving cookbooks for run list: ["nw-upgrade"]
        resolving cookbooks for run list: ["nw-upgrade"]
        Synchronizing Cookbooks:
        Synchronizing Cookbooks:
          - nw-upgrade (0.1.0)
          - nw-upgrade (0.1.0)
        Installing Cookbook Gems:
        Installing Cookbook Gems:
        Compiling Cookbooks...
        Compiling Cookbooks...
        Converging 7 resources
        Converging 7 resources
        Recipe: nw-upgrade::packages
          * yum_package[rsa-nw-component-descriptor:11.0.0.1] action upgradeRecipe: nw-upgrade::packages
          * yum_package[rsa-nw-component-descriptor:11.0.0.1] action upgrade
            * No candidate version available for rsa-nw-component-descriptor:11.0.0.1
            * No candidate version available for rsa-nw-component-descriptor:11.0.0.1
            ================================================================================
            Error executing action `upgrade` on resource 'yum_package[rsa-nw-component-descriptor:11.0.0.1]'
            ================================================================================
            Chef::Exceptions::Package
            -------------------------
            No candidate version available for rsa-nw-component-descriptor:11.0.0.1
            Resource Declaration:
            ---------------------
            # In /var/lib/netwitness/deployment-upgrade/cache/cookbooks/nw-upgrade/recipes/packages.rb
             30: package "rsa-nw-component-descriptor:#{node['global']['version']}" do
             31:   source lazy { descriptor_package.call }
             32:   action :upgrade
             33: end
             34:
            Compiled Resource:
            ------------------
            # Declared in /var/lib/netwitness/deployment-upgrade/cache/cookbooks/nw-upgrade/recipes/packages.rb:30:in `from_file'
            yum_package("rsa-nw-component-descriptor:11.0.0.1") do
              package_name "rsa-nw-component-descriptor:11.0.0.1"
              action [:upgrade]
              retries 0
              retry_delay 2
              default_guard_interpreter :default
              declared_type :package
              cookbook_name "nw-upgrade"
              recipe_name "packages"
              source #<Chef::DelayedEvaluator:0x00000004f61db0@/var/lib/netwitness/deployment-upgrade/cache/cookbooks/nw-upgrade/recipes/packages.rb:31>
              flush_cache {:before=>false, :after=>false}
            end
            Platform:
            ---------
            x86_64-linux
            ================================================================================
            Error executing action `upgrade` on resource 'yum_package[rsa-nw-component-descriptor:11.0.0.1]'
            ================================================================================
            Chef::Exceptions::Package
            -------------------------
            No candidate version available for rsa-nw-component-descriptor:11.0.0.1
            Resource Declaration:
            ---------------------
            # In /var/lib/netwitness/deployment-upgrade/cache/cookbooks/nw-upgrade/recipes/packages.rb
             30: package "rsa-nw-component-descriptor:#{node['global']['version']}" do
             31:   source lazy { descriptor_package.call }
             32:   action :upgrade
             33: end
             34:
            Compiled Resource:
            ------------------
            # Declared in /var/lib/netwitness/deployment-upgrade/cache/cookbooks/nw-upgrade/recipes/packages.rb:30:in `from_file'
            yum_package("rsa-nw-component-descriptor:11.0.0.1") do
              package_name "rsa-nw-component-descriptor:11.0.0.1"
              action [:upgrade]
              retries 0
              retry_delay 2
              default_guard_interpreter :default
              declared_type :package
              cookbook_name "nw-upgrade"
              recipe_name "packages"
              source #<Chef::DelayedEvaluator:0x00000004f61db0@/var/lib/netwitness/deployment-upgrade/cache/cookbooks/nw-upgrade/recipes/packages.rb:31>
              flush_cache {:before=>false, :after=>false}
            end
            Platform:
            ---------
            x86_64-linux
        Running handlers:
        Running handlers:
        Running handlers complete
        Running handlers complete
        Chef Client failed. 0 resources updated in 04 seconds
        Chef Client failed. 0 resources updated in 04 seconds
ERROR: Minions returned with non-zero exit code
[2017-11-03T18:12:43+00:00] <18950> (ERROR) Failed, aborting...
CauseThis issue occurs when the netwitness-11.0.0.1.zip file was not removed from /tmp/upgrade/11.0.0.1 folder.  The initialization process is unable to handle this zip file properly.
ResolutionDelete the netwitness-11.0.0.1.zip file after extracting its contents to the /tmp/upgrade/11.0.0.1 directory.  Then execute the command below again, verifying that there are no more errors and that the process completes successfully.

upgrade-cli-client -v --init --version 11.0.0.1 --stage-dir /tmp/upgrade

Attachments

    Outcomes